# Uses of Class
it.tdlight.jni.TdApi.MessageReaction

## Uses of TdApi.MessageReaction in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.MessageReaction
Modifier and Type
Field
Description
`TdApi.MessageReaction[]`
TdApi.MessageReactions.`reactions`
List of added reactions.
`TdApi.MessageReaction[]`
TdApi.UpdateMessageReactions.`reactions`
The list of reactions added to the message.
Constructors in it.tdlight.jni with parameters of type TdApi.MessageReaction
Modifier
Constructor
Description
``
`MessageReactions(TdApi.MessageReaction[] reactions, boolean areTags)`
Contains a list of reactions added to a message.
``
`UpdateMessageReactions(long chatId, long messageId, int date, TdApi.MessageReaction[] reactions)`
Reactions added to a message with anonymous reactions have changed; for bots only.